package com.example.shwetank.demoadapterspinnerrecording;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    private static final String TAG = "MainActivity";

    public String[] versions = {"Android","Cupcake","Donut",
            "Eclair", "Froyo"};
    public int[] images = {R.drawable.android1,R.drawable.cupcake,
            R.drawable.dunut, R.drawable.eclair, R.drawable.froyo1};

    Spinner spin;
    TextView tv;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Log.d(TAG, "onCreate: set content viewdone");

        spin = (Spinner)findViewById(R.id.spinner1);
        tv = (TextView)findViewById(R.id.show);

        MyAdapter ad = new  MyAdapter(this,versions,images);
        spin.setAdapter(ad);

        spin.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent,
                                       View view, int position, long id) {

                Log.d(TAG, "onItemSelected: ");

                Toast.makeText(MainActivity.this,
                        versions[position],
                        Toast.LENGTH_SHORT).show();
                int x = position+1;
                tv.setText(""+x);
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {

            }

        });
    }
}
